<template>
  <div id="app" style="text-align: center">
    
    <h3 class="logo">Welcome from Comp-Service!</h3>
    <b-card style="max-width: 25rem; margin:auto; text-align: left">
      <h6 slot="header" class="mb-0" style="font-weight: bold;">Log In</h6>
      
      <b-form-input placeholder="Email"
                    id="login_email_input"
                    type="text" 
                    v-model="username"/>
        
      <b-form-input placeholder="Password"
                    id="login_password_input"
                    type="password" 
                    v-model="password"
                    style="margin-top: 0.5em;"/>

      <div style="width: 100%; margin-top: 0.5em; text-align:center">
        <b-button variant="primary"
                  id="login_submit_button"
                  @click="logIn"
                  style="width: 30%; margin: 0 auto;">
                  Sign In
        </b-button>

        <br>
        Or <b-link to="/UserCreationPage">click here to create an account</b-link>.
      </div>
      
    </b-card>
    
  </div>
</template>

<script>
import backend from '@/backend-manager'

export default {
    name: 'app',
    data () {
        return {
            username: '',
            password: ''
        }
    },
    methods: {    
        logIn: async function () {
            if (this.username == "" || this.password == "") {
                alert('Please enter an email and password')
                return
            }

            var success = await backend.getInstance().authenticateWithServer(this.username, this.password)

            if (success) {
                this.$router.push({ name: 'Contests', params: {}})
            } else {
                alert('Login failed; something went wrong')
            }
        }
    }
}
</script>
<style>
.logo {
    font-weight: bold; 
    margin-top: 50px;
    margin-bottom: 50px;
    font-family: 'Liberation Sans', sans-serif;
}
</style>

